import useDateFormat from "../../../../hooks/useDateFormat/index.js";
import useFormattedTimestamp from './hooks/useFormattedTimestamp';
const Timestamp = function Timestamp(props) {
  const {
    timestamp
  } = props;
  const formatted = useDateFormat(timestamp);
  const time = useFormattedTimestamp(timestamp);
  return <time dateTime={timestamp} title={formatted}>
      {time}
    </time>;
};
export default Timestamp;